Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163509 - /usr/lib/libaudit.so is a dangling symlink
Summary: /usr/lib/libaudit.so is a dangling symlink
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: audit
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Grubb
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-18 13:45 UTC by Tomas Mraz
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: audit-0.9.19-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-28 11:59:50 UTC


Attachments (Terms of Use)
Patch for the spec file (deleted)
2005-07-18 14:55 UTC, Tomas Mraz
no flags Details | Diff

Description Tomas Mraz 2005-07-18 13:45:43 UTC
Description of problem:
/usr/lib/libaudit.so as of audit-0.9.19 is a dangling symlink which causes
linking libaudit statically in pam library and other binaries which use the
audit library.

Expected results:
/usr/lib/libaudit.so should point at /lib/libaudit.so.0.0.0

Comment 1 Tomas Mraz 2005-07-18 14:55:02 UTC
Created attachment 116872 [details]
Patch for the spec file

This should fix the problem.

Comment 2 Tomas Mraz 2005-07-18 16:01:47 UTC
Fixed in rawhide. Steve, please merge the script upstream.


Comment 3 Tomas Mraz 2005-07-18 16:29:56 UTC
This should be fixed in RHEL4 and FC4 packages as well.


Comment 4 Steve Grubb 2005-07-18 16:49:11 UTC
I will take care of this this afternoon. Thanks for the patch.

Comment 5 Steve Grubb 2005-07-28 11:59:50 UTC
RHEL4 & FC4 build areas have been updated with a new version. FC4 update has
been released. I think this finishes the work for this bug. Thanks for spotting it.


Note You need to log in before you can comment on or make changes to this bug.